import React from "react";
import { Navigate } from "react-router-dom";
import context from "../globals";
import { apiClient } from "../utils/httpClients";

export default class AuthenticationGuard extends React.Component {
    constructor(props) {
        super(props);
    }
    static contextType = context;

    async componentDidMount() {
        if (!this.context.user) {
            let userDataResponse = await apiClient.get("/user/");
            if (userDataResponse.status === 200) {
                this.context.setUser(userDataResponse.data);
            }
        }
    }


    render() {
        return (
            <context.Consumer>
                {val => {
                    if (!val.user) {
                        console.log(val);
                        return <Navigate to="/signup" replace="true" />;
                    }
                }}
            </context.Consumer>
        );
    }
}